var footerutama=(function(){
	return{
		load:function(a){
			var lokasi=a['lokasi'] || "";
			var namalokasi=a['namalokasi'];
			
			if(lokasi!=null){
				var lok=lokasi.split(",");
				var tanda=null;
				if(lok.length==2){
					tanda=new google.maps.LatLng(lok[0],lok[1]);
				}
			}
			
			var myStyle = 
			[
			   {
				 featureType: "administrative",
				 elementType: "labels",
				 stylers: [
				   { visibility: "on" }
				 ]
			   },{
				 featureType: "poi",
				 elementType: "labels",
				 stylers: [
				   { visibility: "on" }
				 ]
			   }
			 ];
			 
			var mapOptions = {
			    zoom: 14,
			    center: tanda,
			    scrollwheel:false,
			    mapTypeId: google.maps.MapTypeId.ROADMAP
			};
			var boxpeta=document.getElementById("box_peta_ulp");
			
			map = new google.maps.Map(boxpeta, mapOptions);
			marker = new google.maps.Marker({
			      position: tanda,
			      map: map,
			      draggable:false,
			      title: namalokasi
			});
			//map.setOptions({styles: myStyle});
		}
	};
})();
